<div id="wishlist-panel">
    <div class="p-1 panelBar" *ngIf="!_DealsBookmarkLoading && this._DealsBookmark.length>0">
        <div class="card">
            <div class="shadow-sm rounded overflow-hidden mb-0">
                <div class="p-4 bg-white">
                    <h5 class="mb-0"> Wishlist ({{this._DealsBookmark.length}})</h5>
                </div>
                <hr>
            </div>

            <div class="mb-2" *ngFor="let TItem of _DealsBookmark; let index = index;" style="overflow-x: auto;" id="AccPanel_{{index}}">

                <table class="table" style="border: 1px solid rgba(135, 146, 167, 0.5);">
                    <tbody>
                        <td class="text-center"> 
                            <img class="img-fluid tdimg" src="{{TItem.ImageUrl}}">
                        </td>
                        <td class="product_Description px-0">
                            <div style="overflow-wrap: anywhere" class="paraone">
                                {{TItem.Title}}
                            </div>
                            <div class="">
                                <span class="head1">
                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.SellingPrice | number: "1.0-1" || "--"}}
                                </span>
                            </div>
                            <div>
                                <del class="text-secondary">
                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                    {{TItem.ActualPrice| number: "1.0-1" || "--"}}</del> &nbsp;

                                <span class=" text-medium discount-per">
                                    {{_HelperService.GetPercentage(TItem.ActualPrice,TItem.SellingPrice)}} %
                                    off
                                </span>
                            </div>
                        </td>

                        <td class="pr-0 ">
                            <div class="mb-2">
                                <button class="btn btnbg wishlist-panel_buy_button" [routerLink]="TItem.IsSoldout ? null : ['/buydeal/', TItem.DealSlug]">Buy</button>
                            </div>
                            <div class="mt-1 text-center">
                                <a class="cursor-pointer fs-6" (click)="DeleteWishList(TItem)">
                                    <i class='fas fa-trash'></i>
                                    &nbsp;
                                    Delete
                                </a>
                            </div>
                        </td>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div class="p-1 panelBar" *ngIf="_DealsBookmarkLoading">
        <div class="card">
            <div class="shadow-sm rounded overflow-hidden mb-0">
                <div class="p-4 bg-white">
                    <h5 class="mb-0"> Wishlist</h5>
                </div>
                <hr>
            </div>

            <div class="mb-2" *ngFor="let TItem of [1,2,3,4]; let index = index;" style="overflow-x: auto;" id="AccPanel_{{index}}">

                <table class="table" style="border: 1px solid rgba(135, 146, 167, 0.5);">
                    <tbody>
                        <td class="text-center">
                            <ngx-skeleton-loader count="1" [theme]="{ width: '103px', height: '103px'}"></ngx-skeleton-loader>
                        </td>
                        <td class="product_Description">
                            <div style="overflow-wrap: anywhere" class="paraone">
                                <ngx-skeleton-loader count="1" [theme]="{ width: '80%', height: '16px', 'margin': '0 1rem 0 0'}"></ngx-skeleton-loader>
                            </div>
                            <div class="">
                                <ngx-skeleton-loader count="1" [theme]="{ width: '70px', height: '16px', 'margin': '0 1rem 0 0'}"></ngx-skeleton-loader>
                            </div>
                            <div>
                                <ngx-skeleton-loader count="1" [theme]="{ width: '100px', height: '16px', 'margin': '0 1rem 0 0'}"></ngx-skeleton-loader>
                            </div>
                        </td>

                        <td class="pr-0">
                            <div class="mb-2">
                                <ngx-skeleton-loader count="1" [theme]="{ width: '89px', height: '42px', 'margin': '0', 'border-radius': '6px', 'background-color': '#B11A8330'}"></ngx-skeleton-loader>
                            </div>
                        </td>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div id="purchaseddeals " class="user-panel-tab-view mb-4 " *ngIf="!_DealsBookmarkLoading && this._DealsBookmark.length==0">
        <div class="shadow-sm rounded overflow-hidden bg-white ">

            <div class="title-section ">
                <div class="d-flex p-4 border-bottom ">
                    <div class="p-2 ">
                        <h5 class="mb-0 ">Wishlist</h5>
                    </div>
                </div>
            </div>

            <div class="card-section mt-3 ">
                <div class="row ">
                    <div class="col-md-6 offset-md-3 ">
                        <div class="container text-center ">
                            <div class="img ">
                            </div>
                            <div class="labelsforwallet mt-4 ">
                                <div class="mt-3 ">
                                    <h5>No items saved yet</h5>
                                </div>
                                <div class="mt-3 ">
                                    <!-- <p class="">description needs to add instead of lorem ipsum</p> -->
                                    <!-- <p class=" ">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Purus mi, sit gravida mattis sed aenean lectus blandit consectetur. Nisl sit nunc tempor turpis sed. </p> -->
                                </div>
                                <div class="mt-2 mb-4 ">
                                    <a class="nav-link" routerLink="/deals" routerLinkActive="activeLink">
                                        <button class="btn btn-block btnbg ">Start Shopping</button>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>